Detailed System Requirements for RequisitePro RequisiteWeb 7.1.x browsers and Web servers

Detailed system requirements


Abstract

This techdoc summarizes which Internet browsers and Web servers are supported by IBM Rational RequisitePro client for Web (RequisiteWeb) v7.1.x.

Content


Platform Service Pack Comments
Microsoft Internet Explorer 6 1
Microsoft Internet Explorer 7
Microsoft Internet Explorer 8 7.1.1 only
Microsoft Internet Explorer 9 7.1.1.6/7.1.2.3 or later
Firefox 2.0
Firefox 3.0
Firefox 3.5 7.1.1 only
Firefox 3.6 7.1.1.2 only; Refer to technote 1429774 for important support information




From
To
Comments
Instructions
ReqPro WAS ReqPro WAS
Install
None
None
7.1.3
8.0.0.x
Not Supported N/A
None
None
7.1.3.x (x>=0)
7.0.0.x
Supported See product documentation.
None
None
7.1.3.x (x>=1)
8.0.0.x
Supported See technote #1573917.
Upgrade
7.1.1.x/7.1.2.x
6.1.0.25
7.1.3
8.0.0.x
Not Supported N/A
7.1.1.x/7.1.2.x
6.1.0.25
7.1.3.x (x>=0)
7.0.0.x
Supported See [Scenario #1] below.
7.1.1.x/7.1.2.x
6.1.0.25
7.1.3.x (x>=1)
8.0.0.1
Supported See [Scenario #2] below.
7.1.3
7.0.0.x
7.1.3.x (x>=1)
7.0.0.x
Supported See [Scenario #3] below.
7.1.3
7.0.0.x
7.1.3
8.0.0.x
Not Supported N/A
7.1.3
7.0.0.x
7.1.3.x (x>=1)
8.0.0.x
Supported See [Scenario #4] below.
Rollback –
    • See #2 and #3 in Avoiding Problems
7.1.3.x
7.1.1.x/7.1.2.x
Not supported
7.1.3.x (x>=1)
8.0.0.x
Any
Any
Not supported.
7.1.3.x (x>=1)
7.0.0.x
7.1.3
7.0.0.x
Supported See [Scenario #5] below.
Redeploy
    • See #8 and #9 in Avoiding Problems
    • Redeployment is applicable if moving from one WAS version to another.
    • The ReqPro WAS application can be redeployed into a different version of WAS by modify/removing from the existing version of WAS and modify/adding into the desired version of WAS as described in [Scenario #4].
7.1.3
7.0.0.x
8.0.0.x
Not supported
7.1.3.x (x>=1)
7.0.0.x
8.0.0.x
Supported See [Scenario #6] below.
7.1.3.x (x>=1)
8.0.0.x
7.0.0.x
Supported See [Scenario #6] below.




Hardware platform Operating system Comments
Intel x86

Microsoft Windows 2000 Server, Advanced Server SP4
Microsoft Windows 2003 Server, Enterprise Server Initial, SP1
Microsoft Windows 2003 Server, Enterprise Server SP2
MS Windows Vista Ultimate Edition SP2 Refer to technote # 1414733 for important support information.

7.1.1 only
Microsoft Windows 2008 Server, Enterprise Edition MS Windows SP2 Refer to technotes # 1414733 and # 1266463 for important support information.

7.1.1 only
Windows Server 2008 R2 Refer to technotes 1421848, 1421543, 1418290, 1420690, 1421759, 1424049, 1421700 for important support information.

64-bit environment is supported
AMD64 & EM64T Microsoft Windows 2003 Server x64 Must be running in 32-bit mode on 64-bit processors
Note: LAN Support: Microsoft networks



Change History
March 19, 2012 Added IE 9
June 24, 2010 Updated the Internet Browser to reflect Firefox 3.6 for v7.1.1.2
April 24, 2010 Updated the with the latest operating systems that are supported
December 30, 2009 Added support for Windows Vista SP, Windows 2008 SP2, IE8, FireFox 3.5; included v7.1.1
May 4, 2009 Added v7.1.0.1
November 24, 2008 First published
June 8, 2010 Added Firefox 3.6 support for v7.1.1.2




Related Information

Detailed System Requirements for Rational RequisitePro version 7.1.x


Disclaimer
IBM reserves the right to change specifications and other product information without prior notice. This publication could include technical inaccuracies or typographical errors. References herein to IBM products and services do not imply that IBM intends to make them available in other countries. IBM PROVIDES THIS PUBLICATION AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some jurisdictions do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational RequisitePro
Documentation

Software version:

7.1, 7.1.0.1, 7.1.0.2, 7.1.1, 7.1.1.1, 7.1.1.2, 7.1.1.3, 7.1.1.4, 7.1.1.5, 7.1.1.6, 7.1.1.7, 7.1.1.8, 7.1.2, 7.1.2.1, 7.1.2.2, 7.1.2.3, 7.1.2.4, 7.1.2.5, 7.1.2.6, 7.1.2.7, 7.1.2.8, 7.1.2.9, 7.1.2.10, 7.1.3, 7.1.3.1, 7.1.3.2, 7.1.3.3, 7.1.3.4, 7.1.3.5, 7.1.3.6

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

7013775

Modified date:

2013-03-20

Translate my page

Machine Translation

Content navigation